# Graphic2d_TypeOfAlignment.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Graphic2d_TypeOfAlignment { Graphic2d_TOA_LEFT, Graphic2d_TOA_CENTER, Graphic2d_TOA_RIGHT, Graphic2d_TOA_TOPLEFT, Graphic2d_TOA_TOPCENTER, Graphic2d_TOA_TOPRIGHT, Graphic2d_TOA_MEDIUMLEFT, Graphic2d_TOA_MEDIUMCENTER, Graphic2d_TOA_MEDIUMRIGHT, Graphic2d_TOA_BOTTOMLEFT, Graphic2d_TOA_BOTTOMCENTER, Graphic2d_TOA_BOTTOMRIGHT }
| Defines whether the polygon is filled or displays an empty background. - The EMPTY syntax defines a polygon transparent background (the frame is visible). - The FILLED syntax creates a regularly filled polygon by using the method SetInteriorColorIndex. - The PATTERNED syntax is not yet implemented. . More...

## Enumeration Type Documentation

enum Graphic2d_TypeOfAlignment

Enumeration values:

  Graphic2d_TOA_LEFT |
  Graphic2d_TOA_CENTER |
  Graphic2d_TOA_RIGHT |
  Graphic2d_TOA_TOPLEFT |
  Graphic2d_TOA_TOPCENTER |
  Graphic2d_TOA_TOPRIGHT |
  Graphic2d_TOA_MEDIUMLEFT |
  Graphic2d_TOA_MEDIUMCENTER |
  Graphic2d_TOA_MEDIUMRIGHT |
  Graphic2d_TOA_BOTTOMLEFT |
  Graphic2d_TOA_BOTTOMCENTER |
  Graphic2d_TOA_BOTTOMRIGHT |